Apache JMeter

## org.apache.jmeter.gui.action
Class Start

    java.lang.Object
      org.apache.jmeter.gui.action.AbstractAction
          org.apache.jmeter.gui.action.Start

All Implemented Interfaces:
  Command

    public class Start

extends AbstractAction

Constructor Summary
`Start()` Constructor for the Start object.

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the Start object.

Methods inherited from class org.apache.jmeter.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Start

    public Start()

  Constructor for the Start object.

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Start object.

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  Returns:
    the ActionNames value
  See Also:
    `Command.getActionNames()`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.